Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.server.registry
Class MBeanEntry

    java.lang.Object
      org.jboss.mx.server.registry.MBeanEntry

All Implemented Interfaces:
  ServerConstants

public class MBeanEntry
extends Object
implements ServerConstants

info@todo this docs

Version:
  $Revision: 1.15 $
Author:
  Juha Lindfors.
See Also:
  `MBeanRegistry`, `MBeanServerImpl`

Field Summary

Fields inherited from interface org.jboss.mx.server.ServerConstants
`CLASS_REMOVED, CLASSLOADER, CLASSLOADER_ADDED, CLASSLOADER_REMOVED, DEFAULT_DOMAIN, DEFAULT_LOADER_NAME, DEFAULT_LOADER_REPOSITORY_CLASS, DEFAULT_MBEAN_REGISTRY_CLASS, DEFAULT_MBEAN_SERVER_BUILDER_CLASS, DEFAULT_REQUIRED_MODELMBEAN_CLASS, DEFAULT_SCOPED_REPOSITORY_CLASS, DEFAULT_SCOPED_REPOSITORY_PARSER_CLASS, IMPLEMENTATION_NAME, IMPLEMENTATION_VENDOR, IMPLEMENTATION_VERSION, JMI_DOMAIN, LOADER_REPOSITORY_CLASS_PROPERTY, MBEAN_REGISTRY, MBEAN_REGISTRY_CLASS_PROPERTY, MBEAN_SERVER_BUILDER_CLASS_PROPERTY, MBEAN_SERVER_CONFIGURATION, MBEAN_SERVER_DELEGATE, OPTIMIZE_REFLECTED_DISPATCHER, REQUIRED_MODELMBEAN_CLASS_PROPERTY, SPECIFICATION_NAME, SPECIFICATION_VENDOR, SPECIFICATION_VERSION, UNIFIED_LOADER_REPOSITORY_CLASS`

Constructor Summary
`MBeanEntry(ObjectName objectName, MBeanInvoker invoker, Object resource, Map valueMap)` Construct a new mbean registration entry.

Method Summary
`ClassLoader` | `getClassLoader()` Retrieve the context class loader with which to invoke the mbean.
`MBeanInvoker` | `getInvoker()` Retrieve the invoker for the mbean.
`ObjectName` | `getObjectName()` Retrieve the object name with the mbean is registered.
`String` | `getResourceClassName()` Retrieve the class name for the mbean.
`Object` | `getResourceInstance()` Retrieve the mbean.
`Object` | `getValue(String key)` Retrieve a value from the map.
`protected void` | `setObjectName(ObjectName objectName)` A protected method used to set the entry object name when access to the entry is needed before the ultimate name under which the mbean is registered is known.
`void` | `setResourceClassName(String resourceClassName)` Retrieve the class name for the mbean.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanEntry

    public MBeanEntry(ObjectName objectName,
                      MBeanInvoker invoker,
                      Object resource,
                      Map valueMap)

  Construct a new mbean registration entry.

Parameters:
  `objectName` - the name with which the mbean is registered
  `invoker` - the dynamic mbean used to invoke the mbean
  `resource` - the mbean
  `valueMap` - any other information to include in the registration

Method Detail

### getObjectName

    public ObjectName getObjectName()

  Retrieve the object name with the mbean is registered.

  Returns:
    the object name

### setObjectName

    protected void setObjectName(ObjectName objectName)

  A protected method used to set the entry object name when access to the entry is needed before the ultimate name under which the mbean is registered is known.

  Parameters:
    `objectName` - - the object name under which the mbean is registered

### getInvoker

    public MBeanInvoker getInvoker()

  Retrieve the invoker for the mbean.

  Returns:
    the invoker

### getResourceClassName

    public String getResourceClassName()

  Retrieve the class name for the mbean.

  Returns:
    the class name

### setResourceClassName

    public void setResourceClassName(String resourceClassName)

  Retrieve the class name for the mbean.

  Parameters:
    `resourceClassName` - the class name

### getResourceInstance

    public Object getResourceInstance()

  Retrieve the mbean.

  Returns:
    the mbean

### getClassLoader

    public ClassLoader getClassLoader()

  Retrieve the context class loader with which to invoke the mbean.

  Returns:
    the class loader

### getValue

    public Object getValue(String key)

  Retrieve a value from the map.

  Returns:
    key the key to value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.